io.milvus.common.resourcegroup

## Class ResourceGroupLimit

- java.lang.Object
- - io.milvus.common.resourcegroup.ResourceGroupLimit

    public class ResourceGroupLimit
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`ResourceGroupLimit(@NonNull java.lang.Integer nodeNum)` Constructor with node number.
`ResourceGroupLimit(io.milvus.grpc.ResourceGroupLimit grpcLimit)` Constructor from grpc

### Method Summary

All Methods Instance Methods Concrete Methods
`io.milvus.grpc.ResourceGroupLimit` `toGRPC()` Transfer to grpc

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResourceGroupLimit

    public ResourceGroupLimit(@NonNull
                              @NonNull java.lang.Integer nodeNum)

Constructor with node number.

Parameters:
  `nodeNum` - query node number in this group

#### ResourceGroupLimit

    public ResourceGroupLimit(@NonNull
                              io.milvus.grpc.ResourceGroupLimit grpcLimit)

Constructor from grpc

Parameters:
  `grpcLimit` - grpc object to set limit of node number

### Method Detail

#### toGRPC

    @NonNull
    public io.milvus.grpc.ResourceGroupLimit toGRPC()

Transfer to grpc

Returns:
  `io.milvus.grpc.ResourceGroupLimit`